Supercheck LogoSupercheck
Jobs API

List jobs

List all jobs in the current project with pagination.

GET
/api/jobs

Authorization

bearerAuth
headerAuthorizationBearer <token>

Project-scoped CLI token (sck_live_* or sck_test_*) for documented API operations that accept bearer authentication. Interactive browser operations may require a session cookie. Trigger keys (sck_trigger_* / legacy job_*) are accepted only by job trigger endpoints.

Query Parameters

page?integer

Page number for pagination

Range1 <= value
Default1
limit?integer

Jobs per page

Range1 <= value <= 100
Default100
includeScript?boolean

Include the decoded script in each job's tests. Defaults to false. Pages are limited to 25 jobs when scripts are included.

Response Body

Paginated list of jobs

application/json
  1. response
pagination?
data?array<>
Example Request
curl -X GET 'https://demo.supercheck.dev/api/jobs'
Example Response
{  "pagination": {    "total": 0,    "page": 0,    "limit": 0,    "totalPages": 0,    "hasNextPage": true,    "hasPrevPage": true  },  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string",      "description": "string",      "cronSchedule": "string",      "status": "pending",      "alertConfig": {        "enabled": true,        "notificationProviders": [          "9b51326e-6c58-4421-93f5-8536d56072b8"        ],        "alertOnFailure": true,        "alertOnSuccess": true,        "alertOnTimeout": true,        "failureThreshold": 1,        "recoveryThreshold": 1,        "customMessage": "string",        "incidentEnabled": true,        "incidentSeverity": "sev1",        "autoResolveIncident": true      },      "tests": [        {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "name": "string",          "title": "string",          "description": "string",          "priority": "low",          "type": "browser",          "script": "string",          "projectId": "5a8591dd-4039-49df-9202-96385ba3eff8",          "organizationId": "7bc05553-4b68-44e8-b7bc-37be63c6d9e9",          "tags": [            {              "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",              "name": "string",              "color": "string"            }          ],          "createdByName": "string",          "createdByImage": "string",          "createdAt": "2019-08-24T14:15:22Z",          "updatedAt": "2019-08-24T14:15:22Z"        }      ],      "lastRun": {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "status": "queued",        "errorDetails": "string",        "durationMs": 0,        "startedAt": "2019-08-24T14:15:22Z",        "completedAt": "2019-08-24T14:15:22Z"      },      "testCount": 0,      "lastRunAt": "2019-08-24T14:15:22Z",      "nextRunAt": "2019-08-24T14:15:22Z",      "scheduledJobId": "string",      "jobType": "playwright",      "organizationId": "7bc05553-4b68-44e8-b7bc-37be63c6d9e9",      "projectId": "5a8591dd-4039-49df-9202-96385ba3eff8",      "createdByUserId": "4d2aef9a-17b0-44e6-902e-616812033620",      "createdByName": "string",      "createdByImage": "string",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z"    }  ]}